
package de.ivu.elect.presentation.staat.form;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;

@Specializes
public class CommonStaatViewFormBuilder extends StaatViewFormBuilder {

  private static final long serialVersionUID = 1L;

  public CommonStaatViewFormBuilder() {
    super();
  }

  @Override
  public void addProperties(FormBuilder formBuilder, Staat staat) {
    super.addProperties(formBuilder, staat);

    formBuilder.addProperty(staat.getProperties().getEuStaatProperty());
  }
}
